# CmdMessenger: Class Members

CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Enumerations
- Properties

- a
- b
- c
- d
- e
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- w

Here is a list of all documented class members with links to the class documentation for each member:

### - t -

- ThreadRunState : CommandMessenger.Bluetooth.BluetoothTransport , CommandMessenger.CommandQueue , CommandMessenger.Serialport.SerialTransport , CommandMessenger.CommandStrategy
- ThreadRunStates : CommandMessenger.CommandQueue
- TimedAction() : CommandMessenger.TimedAction
- Timeout : CommandMessenger.SendCommand
- TimeStamp : CommandMessenger.Command
- ToByte() : CommandMessenger.BinaryConverter
- ToDouble() : CommandMessenger.BinaryConverter
- ToExactString() : CommandMessengerTests.DoubleConverter
- ToFloat() : CommandMessenger.BinaryConverter
- ToInt16() : CommandMessenger.BinaryConverter
- ToInt32() : CommandMessenger.BinaryConverter
- TopCommandStrategy() : CommandMessenger.TopCommandStrategy
- ToString() : CommandMessenger.BinaryConverter
- ToUInt16() : CommandMessenger.BinaryConverter
- ToUInt32() : CommandMessenger.BinaryConverter
- TryConnection() : CommandMessenger.Serialport.SerialConnectionManager